<id>
RSS Symlinks YaBB 2.6.11
</id>

<version>
0.1
</version>

<mod info>
This mod creates SEO and FB friendly links for the RSS feeds. Requires .htaccess and ModRewrite on the server.

Version History
---------------
0.1 - First release - Jan 21, 2015

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/Admin/NewSettings.pm
cgi-bin/yabb2/Admin/Settings_Advanced.pm
cgi-bin/yabb2/Languages/English/Admin.lng
cgi-bin/yabb2/Sources/BoardIndex.pm
cgi-bin/yabb2/Sources/MessageIndex.pm

In your .htaccess file in the ROOT of your site (not in the cgi-bin or the yabb2 folder) place:
### YaBB rewrite ###
RewriteEngine On # Turn on the rewriting engine

RewriteRule ^RSSrecent/([A-Za-z0-9/\-_,~\(\)]*)?$ cgi-bin/yabb2/YaBB.pl?action=RSSrecent&amp;catselect=$1 [L]
RewriteRule ^RSSrecent$ cgi-bin/yabb2/YaBB.pl?action=RSSrecent [L]
RewriteRule ^RSSboard/([A-Za-z0-9/\-_,~\(\)]*)?$ cgi-bin/yabb2/YaBB.pl?action=RSSboard&amp;board=$1 [L]
### end YaBB rewrite ###

If you choose not to use RSSrecent or RSSboard for your symlink, replace the folder name after the ^ with the folder names you plan to use. Once the Mod is installed, go to Admin Center -> Advanced Settings and input your domain url and your chosen folder names. This mod needs the domain url to include the 'http://' part.
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $symrss = q~RSS Symlinks|Dandello|This mod creates SEO and FB friendly links for the RSS feeds. Requires .htaccess and ModReWrite on the server.|0.1|1/21/2016~;
    push @installed_mods, $symrss;
</add before>

<edit file>
Admin/NewSettings.pm
</edit file>

<search for>
1;
EOF
</search for>

<add before>
\$rsssymrecent = '$rsssymrecent';         # The part defined in .htaccess redirection rules that is between domainname and permalink
\$rsssymboards = '$rsssymboards';         # The part defined in .htaccess redirection rules that is between domainname and permalink
\$rssperm_domain = '$rssperm_domain';     # The full domainname where the .haccess redirect is set on.

</add before>

<edit file>
Admin/Settings_Advanced.pm
</edit file>

<search for>
                name       => 'rss_message',
                validate   => 'number',
                depends_on => ['!rss_disabled'],
            },
</search for>

<add after>
            {
                description =>
                  qq~<label for="rssperm_domain">$admin_txt{'23r'}</label>~,
                input_html =>
qq~<input type="text" size="30" name="rssperm_domain" id="rssperm_domain" value="$rssperm_domain" />~,
                name       => 'rssperm_domain',
                validate   => 'text,null',
                depends_on => ['!rss_disabled'],
            },
            {
                description =>
qq~<label for="rsssymrecent">$admin_txt{'25r'}<br /><span class="small">$admin_txt{'26r'}</span></label>~,
                input_html =>
qq~<input type="text" size="30" name="rsssymrecent" id="rsssymrecent" value="$rsssymrecent" />~,
                name       => 'rsssymrecent',
                validate   => 'text,null',
                depends_on => ['!rss_disabled'],
            },
            {
                description =>
qq~<label for="rsssymboards">$admin_txt{'25b'}<br /><span class="small">$admin_txt{'26b'}</span></label>~,
                input_html =>
qq~<input type="text" size="30" name="rsssymboards" id="rsssymboards" value="$rsssymboards" />~,
                name       => 'rsssymboards',
                validate   => 'text,null',
                depends_on => ['!rss_disabled'],
            },
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
1;
</search for>

<add before>
$admin_txt{'23r'} = q~RSS Permalink Domain~;
$admin_txt{'25r'} = q~RSSrecent Permalink Symlink URL part (omit leading slash trailing slash (e.g. RSSrecent))~;
$admin_txt{'26r'} = q~This is the RSSrecent Permalink Symlink URL part<br />(e.g. http://www.yourdomain.com/<strong>RSSrecent</strong>)~;
$admin_txt{'25b'} = q~RSSboard Permalink Symlink URL part (omit leading slash trailing slash (e.g. RSSboard))~;
$admin_txt{'26b'} = q~This is the RSSboard Permalink Symlink URL part<br />(e.g. http://www.yourdomain.com/<strong>RSSboard</strong>)~;
</add before>

<edit file>
Sources/BoardIndex.pm
</edit file>

<search for>
sub BoardIndex {
</search for>

<add before>
if ($rssperm_domain) {
    $mysymrecent = $rssperm_domain . '/' . $rsssymrecent;
    $mysymboard = $rssperm_domain . '/' . $rsssymboards;
}

</add before>

<search for>
                $rss_catlink =
qq~<a href="$scripturl?action=RSSrecent;catselect=$catid" target="_blank"><img src="$micon_bg{'boardrss'}" alt="$maintxt{'rssfeed'} - $catname" title="$maintxt{'rssfeed'} - $catname" /></a>~;
</search for>

<replace>
                if ( $rssperm_domain ) {
                    $rss_catlink =
qq~<a href="$mysymrecent/$catid" target="_blank"><img src="$micon_bg{'boardrss'}" alt="$maintxt{'rssfeed'} - $catname" title="$maintxt{'rssfeed'} - $catname" /></a>~;
                }
                else {
                    $rss_catlink =
qq~<a href="$scripturl?action=RSSrecent;catselect=$catid" target="_blank"><img src="$micon_bg{'boardrss'}" alt="$maintxt{'rssfeed'} - $boardname" title="$maintxt{'rssfeed'} - $boardname" /></a>~;
                }
</replace>

<search for>
                        $rss_boardlink =
qq~<a href="$scripturl?action=RSSboard;board=$curboard" target="_blank"><img src="$micon_bg{'boardrss'}" alt="$maintxt{'rssfeed'} - $boardname" title="$maintxt{'rssfeed'} - $boardname" /></a>~;
</search for>

<add after>
                        if ( $rssperm_domain ) {
                            $rss_boardlink =
qq~<a href="$mysymboard/$curboard" target="_blank"><img src="$micon_bg{'boardrss'}" alt="$maintxt{'rssfeed'} - $boardname" title="$maintxt{'rssfeed'} - $boardname" /></a>~;
                        }
</add after>

<search for>
            $rss_link =
qq~<a href="$scripturl?action=RSSrecent" target="_blank"><img src="$micon_bg{'rss'}" alt="$maintxt{'rssfeed'}" title="$maintxt{'rssfeed'}" /></a>~;
            if ( $INFO{'catselect'} ) {
                $rss_link =
qq~<a href="$scripturl?action=RSSrecent;catselect=$INFO{'catselect'}" target="_blank"><img src="$micon_bg{'rss'}" alt="$maintxt{'rssfeed'}" title="$maintxt{'rssfeed'}" /></a>~;
            }
            $rss_text =
qq~<a href="$scripturl?action=RSSrecent" target="_blank">$boardindex_txt{'792'}</a>~;
            if ( $INFO{'catselect'} ) {
                $rss_text =
qq~<a href="$scripturl?action=RSSrecent;catselect=$INFO{'catselect'}" target="_blank">$boardindex_txt{'792'}</a>~;
            }
</search for>

<replace>
            $myrss_link = qq~$scripturl?action=RSSrecent~;
            if ( $INFO{'catselect'} ) {
                $myrss_link = qq~$scripturl?action=RSSrecent;catselect=$INFO{'catselect'}~;
            }
            if ( $rssperm_domain ) {
                $myrss_link = qq~$mysymrecent~;
                if ( $INFO{'catselect'} ) {
                    $myrss_link = qq~$mysymrecent/$INFO{'catselect'}~;
                }
            }
            $rss_link =
qq~<a href="$myrss_link" target="_blank"><img src="$micon_bg{'rss'}" alt="$maintxt{'rssfeed'}" title="$maintxt{'rssfeed'}" /></a>~;
            $rss_text =
qq~<a href="$myrss_link" target="_blank">$boardindex_txt{'792'}</a>~;
</replace>

<search for>
            if ( $INFO{'catselect'} ) {    # Handle categories properly
                $yyinlinestyle .=
qq~    <link rel="alternate" type="application/rss+xml" title="$boardindex_txt{'792'}" href="$scripturl?action=RSSrecent;catselect=$INFO{'catselect'}" />~;
            }
            else {
                $yyinlinestyle .=
qq~    <link rel="alternate" type="application/rss+xml" title="$boardindex_txt{'792'}" href="$scripturl?action=RSSrecent" />~;
            }
</search for>

<replace>
            $yyinlinestyle .=
qq~    <link rel="alternate" type="application/rss+xml" title="$boardindex_txt{'792'}" href="$myrss_link" />~;
</replace>

<edit file>
Sources/MessageIndex.pm
</edit file>

<search for>
        $rss_text =
qq~<a href="$scripturl?action=RSSboard;board=$INFO{'board'}" target="_blank">$messageindex_txt{843}</a>~;
</search for>

<add after>
        if ($rssperm_domain ) {
            $rss_link =
qq~<a href="$rssperm_domain/$rsssymboards/$currentboard" target="_blank"><img src="$micon_bg{'rss'}"  alt="$maintxt{'rssfeed'}" title="$maintxt{'rssfeed'}" /></a>~;
            $rss_text =
qq~<a href="$rssperm_domain/$rsssymboards/$INFO{'board'}" target="_blank">$messageindex_txt{843}</a>~;
        }
</add after>

<search for>
        $yyinlinestyle .=
qq~    <link rel="alternate" type="application/rss+xml" title="$messageindex_txt{'843'}" href="$scripturl?action=RSSboard;board=$INFO{'board'}" />~;
</search for>

<add after>
        if ($rssperm_domain ) {
            $yyinlinestyle .=
qq~    <link rel="alternate" type="application/rss+xml" title="$messageindex_txt{'843'}" href="$rssperm_domain/$rsssymboards/$INFO{'board'}" />~;
        }
</add after>